//
//  TTRAppDelegate.m
//  animation
//
//  Created by kunii on 2013/03/13.
//  Copyright (c) 2013年 國居貴浩. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import "TTRAppDelegate.h"

@implementation TTRAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // Override point for customization after application launch.
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    
    CALayer* animationLayer = [CALayer layer];
    animationLayer.frame = self.window.bounds;
    [self.window.layer addSublayer:animationLayer];
    
    UIImage* image = [UIImage imageNamed:@"1.png"];
    animationLayer.contents = (id)image.CGImage;
    /*
    UIImage* image = [UIImage imageNamed:@"1.png"];
    CGImageRef imageRef = image.CGImage;
    animationLayer.contents = (__bridge id)imageRef;
     */
    animationLayer.contents = (id)[UIImage imageNamed:@"1.png"].CGImage;
    CAKeyframeAnimation * animation = [self animationContents];
    animation.duration= 5;
    animation.repeatCount = HUGE_VALF;
    [animationLayer addAnimation:animation forKey:@"bakemono"];
    return YES;
}

- (CAKeyframeAnimation*)animationContents
{
    CAKeyframeAnimation * animation =[CAKeyframeAnimation animationWithKeyPath:@"contents"];
    animation.values = @[
                            (id)[UIImage imageNamed:@"1.png"].CGImage,
                            (id)[UIImage imageNamed:@"2.png"].CGImage,
                            (id)[UIImage imageNamed:@"3.png"].CGImage,
                            (id)[UIImage imageNamed:@"2.png"].CGImage
                            ];

    animation.keyTimes = @[
                              @0.0,
                              @0.5,
                              @0.6,
                              @1.0
                              ];

    return animation;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
